Bug 505627 - "[drm:i915_gem_object_unbind] *ERROR* Attempting to unbind pinned buffer", followed by "failed to unbind object for tiling"
"[drm:i915_gem_object_unbind] *ERROR* Attempting to unbind pinned buffer", fo...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 12:07 EDT by Tom London
Modified: 2009-11-19 03:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-19 10:01:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of "dmesg" (59.63 KB, text/plain)
2009-06-12 12:07 EDT, Tom London
no flags Details

  None (edit)
Description Tom London 2009-06-12 12:07:25 EDT
Created attachment 347602 [details]
output of "dmesg"

Description of problem:
Notice this in dmesg, booting kernel-2.6.30-1.fc12.x86_64

System is Thinkpad X200.

I attach complete output of "dmesg"

[drm:i915_gem_object_unbind] *ERROR* Attempting to unbind pinned buffer
------------[ cut here ]------------
WARNING: at drivers/gpu/drm/i915/i915_gem_tiling.c:328 i915_gem_set_tiling+0x4bc/0x52e [i915]()
Hardware name: 74585FU
failed to unbind object for tiling switchModules linked in: ipt_MASQUERADE iptable_nat nf_nat bridge stp llc sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput arc4 ecb snd_hda_codec_conexant iwlagn snd_hda_intel snd_hda_codec iwlcore snd_hwdep snd_pcm usb_storage lib80211 pcspkr iTCO_wdt snd_timer i2c_i801 mac80211 iTCO_vendor_support snd thinkpad_acpi rfkill soundcore e1000e cfg80211 hwmon snd_page_alloc wmi usblp i915 drm i2c_algo_bit video output i2c_core [last unloaded: microcode]
Pid: 1963, comm: Xorg Not tainted 2.6.30-1.fc12.x86_64 #1
Call Trace:
 [<ffffffff8105afd9>] warn_slowpath_common+0x8d/0xbb
 [<ffffffff8105b094>] warn_slowpath_fmt+0x50/0x66
 [<ffffffffa0061d29>] i915_gem_set_tiling+0x4bc/0x52e [i915]
 [<ffffffff811fd5c6>] ? avc_has_perm_noaudit+0x40/0x446
 [<ffffffffa006186d>] ? i915_gem_set_tiling+0x0/0x52e [i915]
 [<ffffffffa0028b54>] drm_ioctl+0x223/0x2ef [drm]
 [<ffffffff811fda37>] ? avc_has_perm+0x6b/0x91
 [<ffffffff812405f6>] ? __up_read+0x2d/0xaa
 [<ffffffff8113484c>] vfs_ioctl+0x7e/0xaa
 [<ffffffff81134cf5>] do_vfs_ioctl+0x47d/0x4d4
 [<ffffffff81134db1>] sys_ioctl+0x65/0x9c
 [<ffffffff81013002>] system_call_fastpath+0x16/0x1b
---[ end trace 9a7782ecc273b706 ]---
[drm] DAC-6: set mode  11
i2c-adapter i2c-2: unable to read EDID block.
i915 0000:00:02.0: DVI-D-1: no EDID data
i2c-adapter i2c-2: unable to read EDID block.
i915 0000:00:02.0: DVI-D-1: no EDID data
i2c-adapter i2c-2: unable to read EDID block.
i915 0000:00:02.0: DVI-D-1: no EDID data



Version-Release number of selected component (if applicable):
kernel-2.6.30-1.fc12.x86_64

How reproducible:
?

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2009-06-16 13:24:56 EDT
Continue seeing this with kernel-2.6.30-6.fc12.x86_64:

Jun 16 06:11:15 tlondon kernel: i2c-adapter i2c-2: unable to read EDID block.
Jun 16 06:11:15 tlondon kernel: i915 0000:00:02.0: DVI-D-1: no EDID data
Jun 16 06:11:15 tlondon kernel: [drm:i915_gem_object_unbind] *ERROR* Attempting to unbind pinned buffer
Jun 16 06:11:15 tlondon kernel: ------------[ cut here ]------------
Jun 16 06:11:15 tlondon kernel: WARNING: at drivers/gpu/drm/i915/i915_gem_tiling.c:328 i915_gem_set_tiling+0x4bc/0x52e [i915]()
Jun 16 06:11:15 tlondon kernel: Hardware name: 74585FU
Jun 16 06:11:15 tlondon kernel: failed to unbind object for tiling switchModules linked in: ipt_MASQUERADE iptable_nat nf_nat bridge stp llc sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput arc4 snd_hda_codec_conexant ecb snd_hda_intel iwlagn snd_hda_codec iwlcore usb_storage snd_hwdep pcspkr snd_pcm i2c_i801 lib80211 mac80211 snd_timer iTCO_wdt snd iTCO_vendor_support cfg80211 thinkpad_acpi soundcore btusb snd_page_alloc rfkill usblp hwmon wmi bluetooth e1000e i915 drm i2c_algo_bit video output i2c_core [last unloaded: microcode]
Jun 16 06:11:15 tlondon kernel: Pid: 1982, comm: Xorg Not tainted 2.6.30-6.fc12.x86_64 #1
Jun 16 06:11:15 tlondon kernel: Call Trace:
Jun 16 06:11:15 tlondon kernel: [<ffffffff8105afd9>] warn_slowpath_common+0x8d/0xbb
Jun 16 06:11:15 tlondon kernel: [<ffffffff8105b094>] warn_slowpath_fmt+0x50/0x66
Jun 16 06:11:15 tlondon kernel: [<ffffffffa0061d29>] i915_gem_set_tiling+0x4bc/0x52e [i915]
Jun 16 06:11:15 tlondon kernel: [<ffffffff811fd5c6>] ? avc_has_perm_noaudit+0x40/0x446
Jun 16 06:11:15 tlondon kernel: [<ffffffffa006186d>] ? i915_gem_set_tiling+0x0/0x52e [i915]
Jun 16 06:11:15 tlondon kernel: [<ffffffffa0028b54>] drm_ioctl+0x223/0x2ef [drm]
Jun 16 06:11:15 tlondon kernel: [<ffffffff811fda37>] ? avc_has_perm+0x6b/0x91
Jun 16 06:11:15 tlondon kernel: [<ffffffff812405f6>] ? __up_read+0x2d/0xaa
Jun 16 06:11:15 tlondon kernel: [<ffffffff8113484c>] vfs_ioctl+0x7e/0xaa
Jun 16 06:11:15 tlondon kernel: [<ffffffff81134cf5>] do_vfs_ioctl+0x47d/0x4d4
Jun 16 06:11:15 tlondon kernel: [<ffffffff81134db1>] sys_ioctl+0x65/0x9c
Jun 16 06:11:15 tlondon kernel: [<ffffffff81013002>] system_call_fastpath+0x16/0x1b
Jun 16 06:11:15 tlondon kernel: ---[ end trace 337a8fa38cc77401 ]---
Jun 16 06:11:15 tlondon kernel: [drm] DAC-6: set mode  11
Jun 16 06:11:16 tlondon kernel: i2c-adapter i2c-2: unable to read EDID block.
Jun 16 06:11:16 tlondon kernel: i915 0000:00:02.0: DVI-D-1: no EDID data
Comment 2 Tom London 2009-08-19 10:01:18 EDT
No longer seeing this with recent kernels.

Closing.
Comment 3 maciekph 2009-11-19 03:38:10 EST
Linux **HOSTNAME***** 2.6.30.9-96.fc11.i686.PAE #1 SMP Tue Nov 3 23:41:33 EST 2009 i686 i686 i386 GNU/Linux

------------[ cut here ]------------
WARNING: at drivers/gpu/drm/i915/i915_gem_tiling.c:473 i915_gem_set_tiling+0x4a0/0x4f2 [i915]() (Not tainted)
Hardware name: 1951BY8
failed to unbind object for tiling switchModules linked in: tun bridge stp llc bnep sco l2cap bluetooth autofs4 nf_conntrack_irc nf_conntrack_ftp iptable_nat nf_nat ipt_LOG ip6t_LOG xt_limit ip6t_REJECT ip6t_ah nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq dm_multipath vboxnetadp vboxnetflt vboxdrv uinput snd_hda_codec_analog snd_hda_intel arc4 ecb snd_hda_codec thinkpad_acpi ath5k snd_hwdep iTCO_wdt pcspkr rfkill nsc_ircc joydev snd_pcm iTCO_vendor_support mac80211 yenta_socket i2c_i801 hwmon irda rsrc_nonstatic snd_timer cfg80211 snd e1000e crc_ccitt soundcore snd_page_alloc i915 drm i2c_algo_bit video output i2c_core [last unloaded: scsi_wait_scan]
Pid: 2110, comm: Xorg Not tainted 2.6.30.9-96.fc11.i686.PAE #1
Call Trace:
 [<c043564e>] warn_slowpath_common+0x70/0x87
 [<f8236876>] ? i915_gem_set_tiling+0x4a0/0x4f2 [i915]
 [<c04356a3>] warn_slowpath_fmt+0x29/0x38
 [<f8236876>] i915_gem_set_tiling+0x4a0/0x4f2 [i915]
 [<f81d3bf8>] drm_ioctl+0x202/0x292 [drm]
 [<f82363d6>] ? i915_gem_set_tiling+0x0/0x4f2 [i915]
 [<c056fff1>] ? cpumask_any_but+0x21/0x2d
 [<c0425010>] ? flush_tlb_page+0x4f/0x68
 [<c042460f>] ? ptep_set_access_flags+0x52/0x5c
 [<c0425c7c>] ? kunmap_atomic+0x70/0x7f
 [<c049b7f6>] ? do_wp_page+0x5e4/0x678
 [<c04bcfba>] vfs_ioctl+0x5c/0x76
 [<c04bd441>] do_vfs_ioctl+0x46d/0x4a7
 [<c04b9340>] ? path_put+0x1a/0x1d
 [<c04bd4c1>] sys_ioctl+0x46/0x66
 [<c0408474>] sysenter_do_call+0x12/0x28
---[ end trace 3541bf9119054166 ]---
Comment 4 maciekph 2009-11-19 03:39:38 EST
And "[drm:i915_gem_object_unbind] *ERROR* Attempting to unbind pinned buffer"
before error attached above

Note You need to log in before you can comment on or make changes to this bug.